// MoneraryValDlg.cpp : implementation file
//

#include "stdafx.h"
#include "MoneraryValDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CMoneraryValDlg dialog


CMoneraryValDlg::CMoneraryValDlg(CWnd* pParent /*=NULL*/)
	: CaplTranslateDialog(CMoneraryValDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CMoneraryValDlg)
	m_val = 0.0;
	//}}AFX_DATA_INIT
}


void CMoneraryValDlg::DoDataExchange(CDataExchange* pDX)
{
	CaplTranslateDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CMoneraryValDlg)
	DDX_Control(pDX, IDC_UNIT, m_unit);
	DDX_Control(pDX, IDCANCEL, m_cancel_btn);
	DDX_Control(pDX, IDOK, m_ok_btn);
	DDX_Text(pDX, IDC_VAL, m_val);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CMoneraryValDlg, CaplTranslateDialog)
	//{{AFX_MSG_MAP(CMoneraryValDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CMoneraryValDlg message handlers

BOOL CMoneraryValDlg::OnInitDialog() 
{
	CaplTranslateDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
	m_cancel_btn.SetIcon(GetAplStdIco16(APLSTDICO_CANCEL));
	m_cancel_btn.SetFlat(FALSE);
	m_ok_btn.SetIcon(GetAplStdIco16(APLSTDICO_OK));
	m_ok_btn.SetFlat(FALSE);
	
	m_unit.AddString(m_unit_name);
	m_unit.SelectString(0,m_unit_name);

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
